#pragma once

#include <vector>

class RunLengthEncoder
{
public:
    using Hit = std::pair<unsigned char, unsigned>;

    std::vector<Hit> encode(const std::vector<unsigned char>& input);

    std::vector<unsigned char> decode(const std::vector<Hit>& input);

private:
};
